Subject: symlink op attributes

From: [email-masked]
Date: Tue, 2 Jul 2002 11:20:23 -0400 (EDT)

[good stuff on lookup deleted. The previous message covered why I asked.]

>> - a symlink op has no attributes associated with it. (Most V2/3 clients do
>>   seem to provide a mode.)
>
>The philosophy is that if you want attributes, do a GETATTR as part of the
>COMPOUND. 

I was referring to setable attribute(s) for creation of the SYMLINK. The
Univ. of Michigan code doesn't provide any, so everything (even mode) gets
default values. It does then do a GETATTR in the same compound RPC to find
out what the attributes are.

Thanks a lot, rick

---

From: Jim Rees <[email-masked]>
Date: Tue, 02 Jul 2002 11:29:20 -0400

SYMLINK attributes are meaningless, so I wouldn't expect a client to provide
them (although it's not an error if they do).